console.log("Share GPT talk in one click");
const Status = {
    sharing:'分享中...',
    shared:'已分享',
    failed:'分享失败'
}
const tip = document.getElementById("shareText")

function sendMessageToContent(msg, callback){
    chrome.tabs.query({ active: true, currentWindow: true }, function (tabs) {
        chrome.tabs.sendMessage(
          tabs[0].id,
          msg,
          function (response) {
            callback(response)
          }
        );
    });
}

function shareSession(){
    tip.innerText = Status.sharing
    
    sendMessageToContent({
        action:'shareSession',
    }, (res) => {
        if(res.status === 1){
            tip.innerText = Status.shared
        }else if(res.status === 0){
            tip.innerText = Status.failed
        }
    })
}

shareSession()